org.jboss.resteasy.plugins.providers.jaxb.json

## Class JettisonMappedMarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.BaseMarshaller
  - - org.jboss.resteasy.plugins.providers.jaxb.json.JettisonMappedMarshaller

- All Implemented Interfaces:
    Marshaller

      public class JettisonMappedMarshaller
      extends BaseMarshaller

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Marshaller

      `Marshaller.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.BaseMarshaller

      `charset, marshaller`

    - ### Fields inherited from interface javax.xml.bind.Marshaller

      `JAXB_ENCODING, JAXB_FORMATTED_OUTPUT, JAXB_FRAGMENT, JAXB_NO_NAMESPACE_SCHEMA_LOCATION, JAXB_SCHEMA_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettisonMappedMarshaller(JAXBContext context, Map<String,String> xmlToJSON, List<String> attributeMapping, List<String> ignoredElements)`
    `JettisonMappedMarshaller(JAXBContext context, org.codehaus.jettison.mapped.MappedNamespaceConvention convention)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends XmlAdapter> A` | `getAdapter(Class<A> aClass)`
    `AttachmentMarshaller` | `getAttachmentMarshaller()`
    `ValidationEventHandler` | `getEventHandler()`
    `Marshaller.Listener` | `getListener()`
    `Node` | `getNode(Object o)`
    `Object` | `getProperty(String s)`
    `Schema` | `getSchema()`
    `void` | `marshal(Object o, ContentHandler contentHandler)`
    `void` | `marshal(Object o, File file)`
    `void` | `marshal(Object o, Node node)`
    `void` | `marshal(Object o, Result result)`
    `void` | `marshal(Object o, Writer writer)`
    `void` | `marshal(Object o, XMLEventWriter xmlEventWriter)`
    `void` | `marshal(Object o, XMLStreamWriter xmlStreamWriter)`
    `<A extends XmlAdapter> void` | `setAdapter(Class<A> aClass, A a)`
    `void` | `setAdapter(XmlAdapter xmlAdapter)`
    `void` | `setAttachmentMarshaller(AttachmentMarshaller attachmentMarshaller)`
    `void` | `setEventHandler(ValidationEventHandler validationEventHandler)`
    `void` | `setListener(Marshaller.Listener listener)`
    `void` | `setSchema(Schema schema)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.BaseMarshaller

      `marshal, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JettisonMappedMarshaller

          public JettisonMappedMarshaller(JAXBContext context,
                                  Map<String,String> xmlToJSON,
                                  List<String> attributeMapping,
                                  List<String> ignoredElements)
                                   throws JAXBException

      Throws:
        `JAXBException`

    - #### JettisonMappedMarshaller

          public JettisonMappedMarshaller(JAXBContext context,
                                  org.codehaus.jettison.mapped.MappedNamespaceConvention convention)
                                   throws JAXBException

      Throws:
        `JAXBException`

  - ### Method Detail

    - #### marshal

          public void marshal(Object o,
                     Result result)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     File file)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     Writer writer)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     ContentHandler contentHandler)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     Node node)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     XMLStreamWriter xmlStreamWriter)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### marshal

          public void marshal(Object o,
                     XMLEventWriter xmlEventWriter)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### getNode

          public Node getNode(Object o)
                       throws JAXBException

      Throws:
        `JAXBException`

    - #### getProperty

          public Object getProperty(String s)
                             throws PropertyException

      Throws:
        `PropertyException`

    - #### setEventHandler

          public void setEventHandler(ValidationEventHandler validationEventHandler)
                               throws JAXBException

      Throws:
        `JAXBException`

    - #### getEventHandler

          public ValidationEventHandler getEventHandler()
                                                 throws JAXBException

      Throws:
        `JAXBException`

    - #### setAdapter

          public void setAdapter(XmlAdapter xmlAdapter)

    - #### setAdapter

          public <A extends XmlAdapter> void setAdapter(Class<A> aClass,
                                               A a)

    - #### getAdapter

          public <A extends XmlAdapter> A getAdapter(Class<A> aClass)

    - #### setAttachmentMarshaller

          public void setAttachmentMarshaller(AttachmentMarshaller attachmentMarshaller)

    - #### getAttachmentMarshaller

          public AttachmentMarshaller getAttachmentMarshaller()

    - #### setSchema

          public void setSchema(Schema schema)

    - #### getSchema

          public Schema getSchema()

    - #### setListener

          public void setListener(Marshaller.Listener listener)

    - #### getListener

          public Marshaller.Listener getListener()

Copyright © 2014. All Rights Reserved.